plugin migrations fails on postgresql 8.3
Status: Closed Start date: 2008-12-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Wont fix Affected version:

Description

running a plugin migration on redmine 0.8 rc against a postgresql 8.3 db lead to the following error:

PGError: ERROR: integer out of range
UPDATE plugin_schema_info
SET version = 20081215132719
WHERE plugin_name = 'the_plugin_im_working_on'

changing version column data type from integer to bigint fixes the problem

History

#1 - 2008-12-15 21:16 - Jean-Philippe Lang

Engines plugin was designed to work with 3-digits migration numbers (like Rails was used to).
Eg: 001_my_first_migration.rb

I'll see what can be done. But for now, you should name your plugin migrations this way.

#2 - 2008-12-18 08:24 - Eric Davis

See this forum thread for another reason to use incrementing migration numbers with Plugins (for now):
http://www.redmine.org/boards/2/topics/show/2863

#3 - 2009-03-07 13:48 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Wont fix
